* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #000;
    color: #fff;
    padding: 0; /* Paddingi tamamen kaldırdık */
    margin: 0; /* Margin'i kaldırdık */
}

header {
    text-align: center;
    padding-top: 0px;
}

.logo img {
    width: 200px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.slider {
    position: relative;
    overflow: hidden;
    height: 692px;
    margin: 0 auto;
    width: 100%;
    max-width: 1200px;
}

.slider-container {
    display: flex;
    transition: transform 0.5s ease;
}

.slider-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-repeat: no-repeat;
}

/* Masaüstü görselini varsayılan olarak göster */
.desktop-img {
    display: block;
}

.mobile-img {
    display: none;
}

.about-us, .contact {
    padding: 40px 20px;
    text-align: center;
}

.about-us p, .contact-info p {
    max-width: 1100px;
    margin: 0 auto;
}

h2 {
    margin-bottom: 20px;
}

.contact-info {
    margin-top: 20px;
}

#google-map {
    margin-top: 20px;
}

#google-map iframe {
    border: none;
}

footer {
    background-color: #000;
    text-align: center;
    padding: 20px;
}

.footer-logo img {
    width: 150px;
}

/* Masaüstü için Slider'ı ortalamak */
@media screen and (min-width: 769px) {
    .slider {
        margin-left: auto;
        margin-right: auto;
        width: 100%;
        max-width: 1200px;
    }

    .desktop-img {
        display: block;
    }

    .mobile-img {
        display: none;
    }
}

/* Mobil için görseli değiştirme */
@media screen and (max-width: 768px) {
    /* Mobilde içeriklerin kenarlara yaslanması */
    body {
        padding: 0; /* Herhangi bir padding bırakmadan tüm alanı kullanıyoruz */
    }

    .slider {
        width: 100%; /* Slider'ın genişliği %100 */
        height: auto; /* Yüksekliği otomatik olarak ayarlayalım */
    }

    /* Masaüstü görselini gizle */
    .desktop-img {
        display: none;
    }

    /* Mobil görselini göster */
    .mobile-img {
        display: block;
    }
}
